org.eclipse.emf.cdo.transaction

## Class CDOAutoLocker.ForSingleValuedChanges

- java.lang.Object
- - org.eclipse.emf.cdo.transaction.CDODefaultTransactionHandler1
  - - org.eclipse.emf.cdo.transaction.CDOAutoLocker
    - - org.eclipse.emf.cdo.transaction.CDOAutoLocker.ForSingleValuedChanges

- All Implemented Interfaces:
    CDOTransactionHandler1, CDOTransactionHandler1.WithUndo, CDOTransactionHandlerBase
  Enclosing class:
    CDOAutoLocker

      public static class CDOAutoLocker.ForSingleValuedChanges
      extends CDOAutoLocker

  An `auto locker` that only locks objects when their single-valued features are changed.

  This auto locker is useful in combination with a `conflict resolver` that is able to automatically resolve possible conflicts in many-valued features, such as `CDOMergingConflictResolver`.

  Since:
    4.5
  Author:
    Eike Stepper

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.cdo.transaction.CDOAutoLocker

      `CDOAutoLocker.ForSingleValuedChanges`

    - ### Nested classes/interfaces inherited from interface org.eclipse.emf.cdo.transaction.CDOTransactionHandler1

      `CDOTransactionHandler1.WithUndo`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ForSingleValuedChanges()`
    `ForSingleValuedChanges(long timeout)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `modifyingObject(CDOTransaction transaction, CDOObject object, CDOFeatureDelta featureChange)` This implementation does nothing.

    - ### Methods inherited from class org.eclipse.emf.cdo.transaction.CDODefaultTransactionHandler1

      `attachingObject, detachingObject, handleDefault, undoingObject`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ForSingleValuedChanges

          public ForSingleValuedChanges()

    - #### ForSingleValuedChanges

          public ForSingleValuedChanges(long timeout)

  - ### Method Detail

    - #### modifyingObject

          public void modifyingObject(CDOTransaction transaction,
                                      CDOObject object,
                                      CDOFeatureDelta featureChange)

      Description copied from class: `CDODefaultTransactionHandler1`
      This implementation does nothing. Clients may override to provide specialized behavior.
      Specified by:
        `modifyingObject` in interface `CDOTransactionHandler1`
      Overrides:
        `modifyingObject` in class `CDOAutoLocker`

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html